Name:    osmosis
Version: 0.48.3
Release: 1%{?dist}
Summary: Command line Java application for processing Open Street Map data.

License: Public Domain
BuildArch: noarch
Requires: java
BuildRequires: javapackages-filesystem

URL: https://github.com/openstreetmap/osmosis
Source0: https://github.com/openstreetmap/%{name}/releases/download/%{version}/%{name}-%{version}.tgz

%description
The tool consists of a series of pluggable components that can be chained together to perform a larger operation. For example, it has components for
reading from database and from file, components for writing to database and to file, components for deriving and applying change sets to data sources,
components for sorting data, etc. It has been written so that it is easy to add new features without re-writing common tasks such as file or database
handling.

%prep
%setup -qc osmosis-%{version}
# Remove win script
%{__rm} bin/osmosis.bat
# convert EOL
for file in `find script -type f`
do
    sed -i -e 's/\r$//' ${file}
done
# Fix paths
for file in `find bin -type f`
do
    %{__sed} -i \
             -e 's^$MYAPP_HOME/lib^%{_javadir}/osmosis^' \
             -e 's^$MYAPP_HOME/config^%{_sysconfdir}/osmosis^' \
             ${file}
done
for file in `find config -type f`
do
    %{__sed} -i \
             -e 's^${app.home}/lib^%{_javadir}/osmosis^' \
             -e 's^${app.home}/config^%{_sysconfdir}/osmosis^' \
             ${file}
done

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/osmosis
%{__mkdir_p} %{buildroot}%{_javadir}/osmosis/default
%{__install} -m 0644 config/* %{buildroot}%{_sysconfdir}/osmosis/
%{__install} -m 0755 bin/* %{buildroot}%{_bindir}/
%{__install} -m 0644 lib/default/* %{buildroot}%{_javadir}/osmosis/default/

%files
%doc readme.txt changes.txt copying.txt script
%{_bindir}/osmosis*
%{_javadir}/osmosis/*
%config(noreplace) %{_sysconfdir}/osmosis/*

%changelog
* Thu Jul 29 2021 Ivan Fomin <ifomin@gispro.ru> - 0.48.3-1
- Initial package
